/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.workflow.kaleo.definition;

/**
 * @author Michael C. Han
 */
public enum NotificationReceptionType {

	BCC("bcc"), CC("cc"), TO("to");

	public static NotificationReceptionType parse(String value) {
		if (BCC.getValue().equals(value)) {
			return BCC;
		}
		else if (CC.getValue().equals(value)) {
			return CC;
		}
		else {
			return TO;
		}
	}

	public String getValue() {
		return _value;
	}

	@Override
	public String toString() {
		return _value;
	}

	private NotificationReceptionType(String value) {
		_value = value;
	}

	private final String _value;

}