/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.workflow.kaleo.definition;

/**
 * @author Michael C. Han
 */
public class TaskForm implements Comparable<TaskForm> {

	public TaskForm(String name, int priority) {
		_name = name;
		_priority = priority;
	}

	@Override
	public int compareTo(TaskForm form) {
		if (getPriority() > form.getPriority()) {
			return 1;
		}
		else if (getPriority() < form.getPriority()) {
			return -1;
		}

		return 0;
	}

	public String getDescription() {
		return _description;
	}

	public String getFormDefinition() {
		return _formDefinition;
	}

	public String getMetadata() {
		return _metadata;
	}

	public String getName() {
		return _name;
	}

	public int getPriority() {
		return _priority;
	}

	public TaskFormReference getTaskFormReference() {
		return _taskFormReference;
	}

	public void setDescription(String description) {
		_description = description;
	}

	public void setFormDefinition(String formDefinition) {
		_formDefinition = formDefinition;
	}

	public void setMetadata(String metadata) {
		_metadata = metadata;
	}

	public void setTaskFormReference(TaskFormReference taskFormReference) {
		_taskFormReference = taskFormReference;
	}

	private String _description;
	private String _formDefinition;
	private String _metadata;
	private final String _name;
	private final int _priority;
	private TaskFormReference _taskFormReference;

}